%define upstream_name    Text-ASCIITable
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Create a nice formatted table using ASCII characters
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildArch:  noarch

%description
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"


%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README
%{perl_vendorlib}/Text
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.200.0-11pclos2017
- rebuild against updates

